use yew::prelude::*;

use crate::components;

#[derive(Properties, PartialEq)]
pub struct Props {
    #[prop_or_default]
    pub children: Children,
}

pub struct Base;

impl Component for Base {
    type Message = ();
    type Properties = Props;

    fn create(_ctx: &Context<Self>) -> Self {
        Self
    }

    fn view(&self, ctx: &Context<Self>) -> Html {
        html! {
            <>
                <div id="wrapper">
                    <components::Navbar />
                    { for ctx.props().children.iter() }
                </div>
                <components::Footer />
            </>
        }
    }
}
